<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php
	if (!current_user_can('manage_options')) {
		print "<br />".__("You are not allowed to change the options of this plugin.", EMU2_I18N_DOMAIN);
	}
?>

<?php
	$default_subject = '';
	$default_body = '';
	$default_schedule_subject = '';
	$default_schedule_body = '';	
	$error=false;
	$message="";

	if ( isset( $_POST['default_subject'] ) ) {
		$default_subject = $_POST['default_subject'];
	}

	if ( isset( $_POST['default_body'] ) ) {
		$default_body = $_POST['default_body'];
	}

	if ( isset( $_POST['default_schedule_subject'] ) ) {
		$default_schedule_subject = $_POST['default_schedule_subject'];
	}

	if ( isset( $_POST['default_schedule_body'] ) ) {
		$default_schedule_body = $_POST['default_schedule_body'];
	}	
	

	EMU2_update_default_subject( format_to_post($default_subject) );
	EMU2_update_default_body( $default_body );
	EMU2_update_default_schedule_subject( format_to_post($default_schedule_subject) );
	EMU2_update_default_schedule_body( $default_schedule_body );	


if (!$error) {
	print '<div class="updated fade">
	<p>'.__('Options set successfully', EMU2_I18N_DOMAIN).'</p>
	</div>';
} else {
	print '<div id="error" class="error">
	<p>'.$message.'</p>
	</div>';

}

include 'emu2_templates_form.php';
?>